Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerge WTF
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
jwezel
n00b
n00b


Joined: 29 Jan 2003
Posts: 58
Location: Birr, Switzerland

PostPosted: Fri Aug 28, 2015 8:23 pm    Post subject: Emerge WTF Reply with quote

When emerge tells me this:

Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:
 
x11-libs/gtk+:2
 
  (x11-libs/gtk+-2.24.28-r1:2/2::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)
 
  (x11-libs/gtk+-2.24.28-r1:2/2::gentoo, ebuild scheduled for merge) pulled in by

        >=x11-libs/gtk+-2.24.23:2[abi_x86_32(-)] required by (app-text/acroread-9.5.5-r3:0/0::gentoo, ebuild scheduled for merge)


what's this supposed to tell me? I mean the requirement of app-text/acroread was met. What is the point?
_________________
Johnny Wezel
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7160
Location: almost Mile High in the USA

PostPosted: Fri Aug 28, 2015 9:38 pm    Post subject: Reply with quote

Judging by the looks of it, I would guess that acroread needs libgtk+ -- and since acroread is likely a 32-bit, it's checking to make sure that your gtk+ is built with 32-lib support, which is indicated by USE=abi_x86_32 ... Do you have multilib GTK+ (compiled for both 32 and 64-bit)?
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum